Module reference
================

Sift Functions
*********************

.. autofunction:: emd.sift.sift
.. autofunction:: emd.sift.ensemble_sift
.. autofunction:: emd.sift.complete_ensemble_sift
.. autofunction:: emd.sift.mask_sift

Sift Utilities
*********************

.. autofunction:: emd.sift.get_config
.. autofunction:: emd.sift.get_next_imf
.. autofunction:: emd.sift.get_next_imf_mask
.. autofunction:: emd.sift.interp_envelope
.. autofunction:: emd.sift.get_padded_extrema

Frequency Functions
*********************

.. autofunction:: emd.spectra.frequency_transform
.. autofunction:: emd.spectra.quadrature_transform
.. autofunction:: emd.spectra.phase_from_complex_signal
.. autofunction:: emd.spectra.freq_from_phase
.. autofunction:: emd.spectra.phase_from_freq
.. autofunction:: emd.spectra.direct_quadrature
.. autofunction:: emd.spectra.phase_angle

Spectrum Functions
*********************

.. autofunction:: emd.spectra.hilberthuang_1d
.. autofunction:: emd.spectra.hilberthuang
.. autofunction:: emd.spectra.holospectrum

Spectrum Utilities
*********************

.. autofunction:: emd.spectra.define_hist_bins
.. autofunction:: emd.spectra.define_hist_bins_from_data

Cycle Analysis
*********************

.. autofunction:: emd.cycles.get_cycle_vector
.. autofunction:: emd.cycles.get_cycle_stat
.. autofunction:: emd.cycles.get_control_points
.. autofunction:: emd.cycles.phase_align
.. autofunction:: emd.cycles.bin_by_phase
.. autofunction:: emd.cycles.mean_vector
.. autofunction:: emd.cycles.kdt_match

Package Utilities
*********************

.. autofunction:: emd.support.get_install_dir
.. autofunction:: emd.support.get_installed_version
.. autofunction:: emd.logger.set_up

